%define oname khotkeys

Summary:	Plasma 5 input actions module
Name:		plasma5-%{oname}
Version:	5.12.5
Release:	1
License:	GPLv2+
Group:		Graphical desktop/KDE
Url:		https://www.kde.org/
Source0:	ftp://ftp.kde.org/pub/kde/stable/plasma/%{version}/%{oname}-%{version}.tar.xz
BuildRequires:	extra-cmake-modules
BuildRequires:	kf5dbusaddons-devel
BuildRequires:	kf5globalaccel-devel
BuildRequires:	kf5i18n-devel
BuildRequires:	kf5kcmutils-devel
BuildRequires:	kf5kdelibs4support-devel
BuildRequires:	kf5kio-devel
BuildRequires:	kf5plasma-devel
BuildRequires:	kf5xmlgui-devel
BuildRequires:	plasma5-workspace-devel >= %{version}
BuildRequires:	pkgconfig(Qt5Core)
BuildRequires:	pkgconfig(Qt5Test)
BuildRequires:	pkgconfig(Qt5X11Extras)
BuildRequires:	pkgconfig(x11)

%description
Plasma 5 input actions module.

%files -f %{oname}.lang
%{_kde5_datadir}/khotkeys/*.khotkeys
%{_kde5_plugindir}/kded/khotkeys.so
%{_kde5_services}/khotkeys.desktop
%{_qt5_plugindir}/kcm_hotkeys.so

#----------------------------------------------------------------------------

%define khotkeysprivate_major 5
%define libkhotkeysprivate %mklibname khotkeysprivate %{khotkeysprivate_major}

%package -n %{libkhotkeysprivate}
Summary:	Plasma 5 input actions shared library
Group:		System/Libraries

%description -n %{libkhotkeysprivate}
Plasma 5 input actions shared library.

%files -n %{libkhotkeysprivate}
%{_kde5_libdir}/libkhotkeysprivate.so.%{khotkeysprivate_major}*

#----------------------------------------------------------------------------

%define devplasma5_khotkeys %mklibname plasma5-khotkeys -d

%package -n %{devplasma5_khotkeys}
Summary:	Development files for Plasma 5 input actions library
Group:		Development/KDE and Qt
Provides:	%{name}-devel = %{EVRD}
Provides:	khotkeysdbusinterface-devel = %{version}
Conflicts:	kdebase4-workspace-devel

%description -n %{devplasma5_khotkeys}
This package contains header files needed if you wish to build applications
based on %{name}.

%files -n %{devplasma5_khotkeys}
%{_kde5_libdir}/cmake/KHotKeysDBusInterface
%{_datadir}/dbus-1/interfaces/org.kde.khotkeys.xml

#----------------------------------------------------------------------------

%prep
%setup -qn %{oname}-%{version}

%build
%cmake_kde5_kf5locales
%make

%install
%makeinstall_std -C build

%find_lang %{oname} --with-html --with-kde
%kf5locales_fix %{oname}.lang

%changelog

* Thu May 10 2018 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.12.5-1
- (e6baa27) New version 5.12.5

* Sat Apr 14 2018 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.12.4-1
- (4e045a3) New version 5.12.4

* Fri Jan 05 2018 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.11.5-1
- (26888e6) New version 5.11.5

* Wed Dec 20 2017 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.11.4-1
- (4716dde) New version 5.11.4

* Wed Aug 23 2017 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.10.5-1
- (12fc417) New version 5.10.5

* Wed Aug 16 2017 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.10.4-1
- (aca525b) New version 5.10.4

* Wed Mar 22 2017 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.9.4-1
- (5f09e6c) New version 5.9.4

* Wed Mar 01 2017 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.9.3-1
- (3d5fc4f) New version 5.9.3

* Thu Feb 16 2017 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.9.2-1
- (73ca4b1) New version 5.9.2

* Mon Feb 13 2017 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.9.1-1
- (6c97fe3) New version 5.9.1

* Sat Feb 04 2017 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.9.0-2
- (e036dad) MassBuild#1230: Increase release tag

* Fri Feb 03 2017 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.9.0-1
- (cd36b9b) New version 5.9.0

* Thu Jan 26 2017 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.8.3-2
- (ccec731) MassBuild#1211: Increase release tag

* Mon Nov 14 2016 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.8.3-1
- (93ccbc8) New version 5.8.3

* Fri Oct 14 2016 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.7.2-2
- (1e0ec14) MassBuild#1169: Increase release tag

* Thu Jul 21 2016 valerol <valerol@ya.ru> 5.7.2-1
- (8eee3e6) New version 5.7.2

* Sat Jul 09 2016 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.6.5-3
- (b5f7a80) Drop simple-config patch (likely breaks kiosk mode)

* Sat Jul 09 2016 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.6.5-2
- (97f2a5b) Load config as KConfig::SimpleConfig

* Sat Jun 18 2016 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.6.5-1
- (52e2971) New version 5.6.5

* Sat Jun 18 2016 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.6.3-1
- (a81a7af) Specify version for Plasma 5 BuildRequires
- (Andrey Bondrov: 956ecd7) New version 5.6.3

* Thu Apr 14 2016 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.6.2-2
- (e011bcd) MassBuild#1030: Increase release tag

* Fri Apr 08 2016 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.6.2-1
- (808920d) New version 5.6.2

* Fri Apr 08 2016 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.5.5-2
- (7fee249) MassBuild#1001: Increase release tag

* Wed Mar 02 2016 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.5.5-1
- (e1dc753) New version 5.5.5

* Wed Jan 27 2016 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.5.4-1
- (a8b0894) New version 5.5.4

* Thu Jan 07 2016 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.5.3-1
- (9a99206) New version 5.5.3

* Mon Jan 04 2016 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.5.2-2
- (a3458ab) Development package conflicts with kdebase4-workspace-devel

* Tue Dec 29 2015 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.5.2-1
- (e18063b) Update files (move khotkeys kded plugin to new location)
- (Andrey Bondrov: eb6776a) Drop no longer needed datapath patch


